﻿<%@ control language="C#" autoeventwireup="true" codebehind="Cart.ascx.cs" inherits="UCommerce.DemoStore.Layouts.Sublayouts.Checkout.Cart" %>

<table class="table table-striped" id="cart">
    <thead>
        <tr>
            <th class="span7">Description</th>
            <th class="span1 money">Price</th>
            <th class="span1 money">VAT</th>
            <th class="span2">Quantity</th>
            <th class="span1 money">Total</th>
            <th></th>
        </tr>
    </thead>
    <tbody>

        <asp:Repeater ID="rptCart" runat="server" OnItemDataBound="CartRepeaterItemDataBound">
            <ItemTemplate>
                <tr class="order-line">
                    <td><asp:HyperLink ID="lnkItemLink" runat="server"/></td>
                    <td class="money"><asp:Literal ID="litPrice" runat="server"/></td>
                    <td class="money"><asp:Literal ID="litVat" runat="server"/></td>
                    <td>
                        <div class="input-append">
                                <asp:TextBox ClientIDMode="static" CssClass="qty" ID="txtQuantity" runat="server" value="13"></asp:TextBox>
                            <asp:button runat="server" id="btnUpdateQuantities" ClientIDMode="static" OnClick="btnUpdateQuantities_Click" name="update-basket-line" class="btn btn-success update-cart javascriptHide" Text="Update"></asp:button>
                        </div>
                    </td>
                    <td class="money line-total"><asp:Literal ID="litTotal" runat="server"/>
                    </td>
                    <td>
                        <asp:Button ID="btnRemoveLine" ClientIDMode="static" onCLick="btnRemoveLine_Click" name="basket-remove-item" class="line-remove" runat="server" Text="x" /></td>
                </tr>
            </ItemTemplate>
        </asp:Repeater>
        <tr>
            <td rowspan="4">
                <div class="span6">
                    <div class="input-append">
                        <input name="voucher-code" type="text">
                        <button name="add-voucher" class="btn" type="submit"><i class="icon-plus icon-white"></i>Add Voucher</button>
                    </div>
                    <p><span class="label label-info">Tip!</span> <small>Sign up to our mailing list and get 10% off your first order! <a href="#">Click here to get 10% off now</a>!</small></p>
                </div>
            </td>
            <td rowspan="4" colspan="2">
                <asp:Button name="update-basket" runat="server" class="btn btn-success update-basket" id="btnUpdateAll" OnClick="btnUpdateAll_Click" Text="Update"><%--<i class="icon-refresh"></i>--%></asp:Button>
            </td>
            <td>Sub total:</td>
            <td class="money order-subtotal"><asp:Literal runat="server" ID="litSubtotal"></asp:Literal>
            </td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>VAT:</td>
            <td class="money order-tax"><asp:Literal runat="server" ID="litTax"></asp:Literal>
            </td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>Discounts:</td>
            <td class="money order-discounts"><asp:Literal runat="server" ID="litDiscount"></asp:Literal>
            </td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>Order total:</td>
            <td class="money order-total"><asp:Literal runat="server" ID="litTotal"></asp:Literal>
            </td>
            <td>&nbsp;</td>
        </tr>
    </tbody>
</table>
<div class="pull-right">
    <a href="/cart/address/" class="btn btn-large btn-success">Continue to Checkout <i class="icon-arrow-right icon-white"></i></a>
</div>
